Bug 535246 - (RHQ-1963) Allow to remove no longer existing agents from server's agent list
Allow to remove no longer existing agents from server's agent list
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: High Availability (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 09:42 EDT by Heiko W. Rupp
Modified: 2010-08-12 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bild 4.png (22.91 KB, image/png)
2009-04-14 09:43 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2009-04-14 09:42:00 EDT
Currently, an agent that has been removed from inventory stays present in the HA-GUI (see screen shot ; agent: snert).

We should either automatically remove it on un-inventory or at least allow the administrator to manually remove it later in the HA section of the UI

[15:37] pilhuhn: jshaughn: Is it correct that an agent that used to connect to a server, but which has been removed from inventory is still listed in the Admin->HA->Agents section?
[15:37] jshaughn: That is probably true because we don't delete agents when we uninventory
[15:38] pilhuhn: Ok, I will file a FR to allow to do so :) Thanks jshaughn
[15:40] jshaughn: I think we should delete agents when we uninventory the platform, we stopped doing that a while back due to issues with synch, but, I suspect those issues have been resolved.  I think we should get rid of them at this point. It is confusing to see them around when doing HA mgmt.  A lot of dead agents could, I think, even start to skew the HA load balancing.
Comment 1 Heiko W. Rupp 2009-04-21 10:45:08 EDT
Another downside of the current scenario are those messages that appear on console from time to time:

16:10:32,140 WARN  [AgentManagerBean] Have not heard from agent [snert] since [Thu Mar 26 21:10:12 CET 2009]. Will be backfilled since we suspect it is down

8 Messages each 30sec appart and then it is again quiet for quite some time.
Comment 2 Red Hat Bugzilla 2009-11-10 15:50:25 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1963
Imported an attachment (id=368713)
Comment 3 Corey Welton 2010-08-05 13:45:48 EDT
Moving this old bug to ON_QA to see if it still exists.  Close if no longer an issue, reopen if issue still exists.

If this bug is lacking repro steps, please contact joseph.
Comment 4 Joseph Marques 2010-08-09 00:32:30 EDT
I believe this was fixed/resolved in the way that jshaughn points out in the 
description, specifically that uninventorying a platform will remove it's 
corresponding agent reference.  This can be verified by shutting down an agent 
(which will prevent rediscovery), uninventorying the platform reported by that 
agent, and then navigating to administration > ha > agents and verifiying that 
the agent in question does not show up in the list.
Comment 5 Sunil Kondkar 2010-08-10 08:26:10 EDT
Verified on jon-2.4GA

Verified by shutting down the agent and then uninventoring the platform reported by the agent. The agent is not displayed in Administration > High Availibility > Agents page.
Comment 6 Corey Welton 2010-08-12 12:58:12 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.